Bug 158854 - code assistance does not update itself
code assistance does not update itself
Status: REOPENED
Product: cnd
Classification: Unclassified
Component: Project Discovery
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
discovery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 18:25 UTC by darbie
Modified: 2013-05-17 15:07 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description darbie 2009-02-19 18:25:18 UTC
I am using Netbeans 6.5 on Windows XP with the C++ module.

I set code assistance to look at my executable (debug build).  This generally works fine.  However, when I add new code 
and rebuild it seems the Netbeans does not always reparse the newly created executable to get the new information.  I 
have seen the tool not work properly on new code that I have added, even after rebuilding.  But if I go into the 
configure code assistance and point it to the same executable again and click finish, it will then pick up everything 
and work properly.

It should do this automatically after each build but it does not seem to be doing this always.
Comment 1 Vladimir Voskresensky 2009-03-08 21:46:05 UTC
it's about discovery
Comment 2 Alexander Simon 2009-05-30 10:44:55 UTC
As I understand the configuration of new added source file is same as other source files in the folder have.
In this case make may process new source file with same -I and -D options.
As result we have successful build.
If it is you case, the issue was fixed in way:
- new source file inherits -I & -D option from folder/project level

The suggested way does not fit for a large applications because analyzing time can be very long (can consume 10-20% of
building time).
Comment 3 darbie 2009-05-30 21:51:19 UTC
I should have given more details in the first bug report.  Sorry about that.  I have netbeans set to parse all my 
binary files (object files, libraries, and executables) for code assistance.  I do debug builds with the proper 
options so that it will pick up all the symbols.  I have netbeans set to use my Makefile to build things.  Most of the 
time I can click on a variable or function and have netbeans go to where that was defined.  Typically this works 
perfectly.  However at certain times Netbeans cannot find definitions properly.  I do not know all the cases.  But 
whenever it gets into that state I have to click on the project and select code assistance.  I then go through all the 
settings to tell it to read all object, library, and executable files under a certain directory and all sub-
directories.  Netbeans spends some time analyzing after I do this.  Once that is done everything works again.  So at 
some point it is losing track of things and not automatically re-parsing in the background to gather the information 
again.  

Like the original bug report said one case where I see this happen is if I add a couple of new files.  I recompile so 
I know the symbol information is available for the new files and in the directory where netbeans could pick it up.  
However it does not pick it up until I manually go through the process described above.  It seems Netbeans should be 
able to reparse the object files after a build to find this information.  

But it also seems that even existing symbol information is sometimes lost.  I have not determined what causes this to 
happen, but I do see it fairly often.

Anyway I hope that is enough info for you to go on.  If not let me know if there is anything more I can do on my end 
to help you.

Bill 
Comment 4 Vladimir Voskresensky 2010-09-13 05:49:07 UTC
I agree, newly added files settings should be detected after they are compiled.
Comment 5 Alexander Simon 2011-09-22 08:52:57 UTC
Since NB7.0.1 IDE can detect new compilation units on Linux and Solaris platforms.
Comment 6 igor_nikiforov 2013-01-22 09:11:16 UTC
The issue should be resolved in the latest NetBeans versions.
Comment 7 igor_nikiforov 2013-01-22 11:00:28 UTC
The functionality still missed for Mac and Windows, so it's too early to close this Bug.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo